local S = minetest.get_translator("basic_trees")

wood_and_saws.register_wood("basic_trees:acacia",
	{
		log =
		{
			description = S("Acacia Log"),
			toptexture = "basic_trees_acacia_tree_top.png",
			sidetexture = "basic_trees_acacia_tree.png",
			itemtexture = "basic_trees_acacia_tree.png",
		},
		plank =
		{
			description = S("Acacia Planks"),
			texture = "basic_trees_acacia_wood.png",
			itemtexture = "basic_trees_acacia_wood.png",
		}
	})
minetest.register_decoration(
{
	deco_type = "schematic",
	place_on = "scorched_dirt",
	fill_ratio = 0.005,
	schematic = "schematics/acacia_dead_0.mts",
	rotation = "random",
})
